WordPress 4.9.8如期發布,常規的修正各種BUG和安全漏洞,建議立即升級。

升級成功后,在儀表盤頁面會顯示一個“A new, modern publishing experience is coming soon(一種新的、現代的出版體驗即將到來)”面板,這是在說新的編輯器Gutenberg即將到來,雖然沒有集成在4.9.8版中,但下一版本會作為默認編輯器。下面說說這個Gutenberg(古騰堡)編輯器。

WordPress 4.9.8發布

Gutenberg(古騰堡)編輯器,以類似頁面構器的模式編輯文章和頁面,方便使用者以“區塊”方式靈活搭建頁面內容,據開發者說用來替代WordPress使用多年的“短代碼”功能,但不影響之前添加的短代碼。目前Gutenberg(古騰堡)編輯器以插件的形式還在研發中,可以在后臺搜索安裝Gutenberg插件,下面是啟用后的編輯器界面。

WordPress 4.9.8發布

可能你和我一樣,會感覺很不習慣,之前添加的一些編輯器增強功能也將全部消失,杯具…..

在Gutenberg插件頁面,用戶留言反饋該編輯器不習慣、不好用、不應該作為WP默認編輯器使用,只作為一款增強插件存在就夠了。

如果不喜歡這個編輯器或者你的主題和插件不能兼容,WP官方也給了個解決辦法,可以通過安裝“Classic Editor plugin ”插件,切換回原來的TinyMCE編輯器。

另外,Gutenberg應該調用了REST API,這個功能可能會被DDOS 攻擊所利用,如果你禁用了,將無法使用Gutenberg。

我在測試Gutenberg插件時,出現了用插件禁用另一個插件的尷尬情況,多此一舉。

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。